import request from '@/utils/request'
import { BASE } from './apiGateway'

// 联系人列表
export function getPatientContacts(params) {
    return request({
        url: `${BASE}/patientContacts/getPatientContacts`,
        method: 'get',
        params
    })
}

// 设置一键联系人
export function setPatientContacts(data){
    return request({
        url: `${BASE}/patientContacts/setPatientContacts`,
        method: 'post',
        data
    })
}

// 查找居民一键联系服务站
export function getContactsOrg(params) {
    return request({
        url: `${BASE}/patientContacts/getContactsOrg`,
        method: 'get',
        params
    })
}

// 设置联系服务站
export function setContactsOrg(data){
    return request({
        url: `${BASE}/patientContacts/setContactsOrg`,
        method: 'post',
        data
    })
}

//  查找签约服务站列表
export function findSignOrg(params) {
    return request({
        url: `${BASE}/patientContacts/findSignOrg`,
        method: 'get',
        params
    })
}
